-- $Id: gondolin-minstrels-haven.lua 3278 2018-03-09 04:13:23Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

store_util.set_prices(npc.owner, player, {
  id_pack = {2000, 800, 50},
})

newChat {
  id = 'welcome',
  text = [[#LIGHT_GREEN#*A long-haired High-Elf is idly strumming a lute and humming as you enter.  From the room behind her you hear muffled instruments playing and voices singing.*#LAST#
Welcome, traveler, and join us for the Great Song.  For we minstrels carry the lore and history that the Library lacks, the tales that are only passed down in song.  Of course, that doesn't pay the bills, so as a sideline, we can also sing up lore about the stuff you've got on you.]],
  answers = {
    {
      'So... that means you can identify my possessions?' .. store_util.cost_sfx('id_pack'),
      action = store_util.id_pack,
      cond = store_util.can_afford('id_pack'),
    },
    { 'Meh, I could never carry a tune anyway. [leave]' },
  },
}

return 'welcome'
