-- $Id: grids.lua 3333 2018-04-20 00:32:38Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/grids/all.lua')

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_GONDOLIN_HOUSE_QUEST',
  name = [[entrance to the dragons' nest]],
  change_zone = 'quest-gondolin-dragons',
  change_level = 1,
  ok_change_level = util.no_reenter_completed_quest,
  quest_id = 'gondolin-house',
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_GONDOLIN_EOL_QUEST',
  name = [[pass into the Echoriath]],
  change_zone = 'quest-eol-the-dark-elf',
  change_level = 1,
  -- This entrance should go away after we complete (or fail) the quest.
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_GONDOLIN_NIRNAETH_QUEST',
  name = [[path to the gates of Gondolin]],
  change_zone = 'quest-nirnaeth-arnoediad',
  change_level = 1,
  -- This entrance should go away after we complete (or fail) the quest.
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_GONDOLIN_INVASION_QUEST',
  name = [[path to the secret entrance to Gondolin]],
  change_zone = 'quest-invasion-of-gondolin',
  change_level = 1,
  -- This entrance should go away after we complete (or fail) the quest.
}

newEntity {
  base = 'VOID_JUMPGATE',
  define_as = 'GONDOLIN_VOID_JUMPGATE',
  name = [[Void Jumpgate to Minas Anor]],
  change_zone = 'town-minas-anor',
  change_level = 1,
}
