-- $Id: CREDITS.lua 3017 2017-08-01 04:32:27Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

return [[
Credit and much thanks for the T.o.M.E Classic module go to (in no particular order, and without limitation):

#{bold}#The Big Ones:#{normal}#

· #YELLOW#Nicolas "DarkGod" Casalini#LAST#, of course, and everyone who has contributed to #LIGHT_GREEN#T-Engine 4#LAST# and the #LIGHT_GREEN#T.o.M.E 4 module#LAST# (various bits of which we shamelessly poach); see the #LIGHT_BLUE#Credits#LAST# entry on the game's intro dialog for a full list.

· #YELLOW#DarkGod#LAST# again, and everyone who has contributed to the original #LIGHT_GREEN#Tales of Middle Earth#LAST# that we're reproducing; see T.o.M.E's #{underline}#credits.txt#{normal}# <#LIGHT_BLUE#https://gitlab.com/tome2/tome2/blob/master/credits.txt#LAST#> for a full list.  Special mention goes to #YELLOW#Adam Bolt#LAST# for the Ang16x16 tileset we use.

#{bold}#Third-Party Resources:#{normal}#

· #LIGHT_GREEN#Hotkey icons#LAST# for various spells and talents come from #YELLOW#Game-icons.net#LAST# <#LIGHT_BLUE#http://game-icons.net/#LAST#> and are used under the Creative Commons CC-BY-3.0 license.  In particular, we use icons created by:
  · #YELLOW#Carl Olsen#LAST# <#LIGHT_BLUE#https://twitter.com/unstoppableCarl#LAST#>
  · #YELLOW#Delapouite#LAST# <#LIGHT_BLUE#http://delapouite.com#LAST#>
  · #YELLOW#Lorc#LAST# <#LIGHT_BLUE#http://lorcblog.blogspot.com#LAST#>
  · #YELLOW#PriorBlue#LAST# (no URL given)
  · #YELLOW#Sbed#LAST# <#LIGHT_BLUE#http://opengameart.org/content/95-game-icons#LAST#>

· #LIGHT_GREEN#Random names for randarts#LAST# are generated using the #YELLOW#name-gen#LAST# Python script <#LIGHT_BLUE#https://code.google.com/p/name-gen/#LAST#>.

#{bold}#Contributors:#{normal}#

· All of the #YELLOW#playtesters and suggesters of stuff#LAST# in our thread on the TE4 forum <#LIGHT_BLUE#http://forums.te4.org/viewtopic.php?f=40&t=33979#LAST#> for all of your much-appreciated ideas, bug reports and nudges about what to work on next.  Special mention goes to forum users:
  · #YELLOW#Crim the Red Thunder#LAST#, for help with skill-related achievements.
  · #YELLOW#Steven Aus#LAST# and #YELLOW#Thorondor#LAST#, for playtesting above and beyond the call of duty.

(I'm fairly certain there should be more names here, but they escape me at the moment; We Apologize for the Omission(TM).  If you think you should be listed here, let me know and you will be!)
]]
