-- $Id: traps.lua 3073 2017-09-17 00:49:21Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'BREE_HOME',
  name = "Your home (née Thieves' Lair)",
  resolvers.store('BREE_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MAYOR_HOUSE',
  name = "Mayor's Office",
  resolvers.building_chat('bree-mayor', 'MAYOR_S_OFFICE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_PRANCING_PONY',
  name = "The Prancing Pony",
  resolvers.store('THE_PRANCING_PONY'),
  resolvers.building_chat('prancing-pony'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_SOOTHSAYER',
  name = "The Soothsayer",
  resolvers.store('THE_SOOTHSAYER'),
  resolvers.building_chat('soothsayer'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MATHOM_HOUSE',
  name = "The Mathom-house",
  resolvers.store('MATHOM_HOUSE', 'museum'),
}
