-- $Id: grids.lua 3106 2017-09-26 23:06:04Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/grids/all.lua')

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_LOTHLORIEN_HOUSE_QUEST',
  name = [[entrance to the wolves' den]],
  change_zone = 'quest-lothlorien-wolves',
  change_level = 1,
  ok_change_level = util.no_reenter_completed_quest,
  quest_id = 'lothlorien-house',
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_LOTHLORIEN_SPIDERS_QUEST',
  name = [[spider-infested path]],
  change_zone = 'quest-lothlorien-spiders',
  change_level = 1,
  -- This entrance should go away after we complete (or fail) the quest.
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_LOTHLORIEN_FIREPROOF_QUEST',
  name = [[tunnel to a fire cave]],
  change_zone = 'quest-lothlorien-fireproof',
  change_level = 1,
  -- This entrance should go away after we complete (or fail) the quest.
}
